Batch create registry users
curl --request POST \
--url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"duration": -1,
"name": "user1",
"read_only": false
}
]
}
'import requests
url = "https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users/batch"
payload = { "users": [
{
"duration": -1,
"name": "user1",
"read_only": False
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({users: [{duration: -1, name: 'user1', read_only: false}]})
};
fetch('https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2024-06-18T09:36:53.335000Z",
"duration": 14,
"expires_at": "2024-06-18T09:36:53.335000Z",
"id": 1,
"name": "user1",
"read_only": false,
"secret": "<string>"
}Registry
Batch create registry users
Create multiple users for accessing the container registry in a single request.
POST
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
users
/
batch
Batch create registry users
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Registry ID
Body
application/json
Set of users
Show child attributes
Show child attributes
Example:
[
{
"duration": -1,
"name": "user1",
"read_only": false
}
]
Response
List of created users
User creation date-time
Example:
"2024-06-18T09:36:53.335000Z"
User account operating time, days
Example:
14
User operation end date-time
Example:
"2024-06-18T09:36:53.335000Z"
User ID
Example:
1
User name
Example:
"user1"
Read-only user
Example:
false
User secret
Was this page helpful?
⌘I